Summary: A library for handling different graphics file formats
Name: netpbm
Version: stable_svn2008.04.23
Release: 1
License: Assorted licenses, see %{_docdir}/%{name}-%{version}/copyright_summary
Group: System Environment/Libraries
URL: http://netpbm.sourceforge.net/
Source0: %{name}-%{version}.tar.bz2
Patch0: %{name}-%{version}-aix.patch
Patch1: %{name}-%{version}-jasper.patch

Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: libjpeg-devel, libpng-devel, libtiff-devel, jasper-devel
Requires: libjpeg, libpng, libtiff, jasper

%description
The netpbm package contains a library of functions which support
programs for handling various graphics file formats, including .pbm
(portable bitmaps), .pgm (portable graymaps), .pnm (portable anymaps),
.ppm (portable pixmaps) and others.


%package devel
Summary: Development tools for programs which will use the netpbm libraries
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The netpbm-devel package contains the header files and static libraries,
etc., for developing programs which can handle the various graphics file
formats supported by the netpbm libraries.

Install netpbm-devel if you want to develop programs for handling the
graphics file formats supported by the netpbm libraries.  You'll also need
to have the netpbm package installed.


%package progs
Summary: Tools for manipulating graphics files in netpbm supported formats
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}

%description progs
The netpbm-progs package contains a group of scripts for manipulating the
graphics files in formats which are supported by the netpbm libraries.  For
example, netpbm-progs includes the rasttopnm script, which will convert a
Sun rasterfile into a portable anymap.  Netpbm-progs contains many other
scripts for converting from one graphics file format to another.

If you need to use these conversion scripts, you should install
netpbm-progs.  You'll also need to install the netpbm package.


%prep
%setup -q
%patch0
%patch1


%build
./configure <<EOF

aix
cc
regular
static
<inttypes.h>
libjpeg.a
default
libtiff.a
default
libz.a
default
/usr/X11R6/lib/libX11.a
default
http://netpbm.sourceforge.net/doc/
EOF
# hack to build a shared library out of the static library
cd lib
gmake %{?_smp_mflags}
CreateExportList lib%{name}.exp lib%{name}.a
cc -qmkshrobj lib%{name}.a -o shr.o -bE:lib%{name}.exp -lm
rm -f lib%{name}.a lib%{name}.exp
ar -rv lib%{name}.a shr.o
cd ..
# now start the regular build
gmake %{?_smp_mflags}


%install
rm -rf /tmp/%{name}-%{version}
gmake package pkgdir=/tmp/%{name}-%{version}
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}
./installnetpbm <<EOF
/tmp/%{name}-%{version}
${RPM_BUILD_ROOT}%{_prefix}
${RPM_BUILD_ROOT}%{_bindir}
${RPM_BUILD_ROOT}%{_libdir}
${RPM_BUILD_ROOT}%{_libdir}
${RPM_BUILD_ROOT}%{_includedir}
${RPM_BUILD_ROOT}%{_mandir}
N
EOF

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
rm -rf /tmp/%{name}-%{version}


%files
%defattr(-,root,system)
%doc doc/copyright_summary doc/COPYRIGHT.PATENT doc/GPL_LICENSE.txt doc/HISTORY README
%{_libdir}/lib*.a
/usr/lib/*


%files devel
%defattr(-,root,system)
%{_includedir}/*
%{_mandir}/man3/*
/usr/include/*


%files progs
%defattr(-,root,system)
%{_bindir}/*
%{_libdir}/p*
%{_libdir}/rgb*
%{_mandir}/man1/*
%{_mandir}/man5/*
/usr/bin/*


%changelog
* Thu May 08 2008 Michael Perzl <michael@perzl.org> - stable_svn2008.04.23-1
- first version for AIX V5.1 and higher
